Compatibility

Ask your support questions in here

Moderator: Moderator Team

Post Reply
User avatar
kevindevid
Posts: 1
Joined: Thu Oct 08, 2020 5:54 pm

Compatibility

Post by kevindevid »

Hello!
I am following ReactOS since I was in a secondary school. I saw a new version announcement and read there :
"Mark has added the ability for ReactOS to present itself as Windows 8.1 with the Version APIs".
I would like to ask if it is possible to switch that presentation wherever or it was forced for a entire situation ?
Unfortunately a lot of programs is not compatible with xp/2003 so it won't run on ReactOS. I mean newest Firefox, chrome or Opera. It requires at least windows 7.

Regards

User avatar
binarymaster
Posts: 375
Joined: Sun Nov 16, 2014 7:05 pm
Location: Russia, Moscow
Contact:

Re: Compatibility

Post by binarymaster »

kevindevid wrote:
Thu Oct 15, 2020 3:15 am
"Mark has added the ability for ReactOS to present itself as Windows 8.1 with the Version APIs".
Actually this only means if a program was compiled for Windows 8.1, but uses only XP/2003 API functions, it will work in ReactOS.

If the program uses Vista or higher API functions, it will not work, until a compatibility layer is added along with required functions.

Post Reply

Who is online

Users browsing this forum: Ahrefs [Bot] and 1 guest